<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:p="http://primefaces.org/ui"
	xmlns:f="http://java.sun.com/jsf/core">
        <p:panelGrid id="panelProblematica" columns="3">
                <p:outputLabel for="estadoProblematica" value="Estado : " />
				<p:selectOneMenu id="estadoProblematica" value="#{legajoMB.instance.estadoProblSalud}" label="Estado"  disabled="#{!legajoMB.puedeEditar()}">
	                		<f:selectItems value="#{commonSelectorsMB.valoresEstadoDesconoceSIoNO}" 
	                			var="elem" itemValue="#{elem}" itemLabel="#{elem.descripcion}"/>
	                		<p:ajax event="change" listener="#{legajoMB.actualizarProblSalud}" update="problSalud detalleProblSalud"/>
	            </p:selectOneMenu>
	            <p:message for="estadoProblematica" display="icon"/>
                
                <p:outputLabel for="problSalud" value="Problemática de salud : " />
				<p:selectOneMenu id="problSalud" value="#{legajoMB.instance.problematicaSalud}" label="Problemática de salud"  disabled="#{legajoMB.instance.estadoProblSalud ne 'SI'}" readonly="#{!legajoMB.puedeEditar()}">
	                		<f:selectItems value="#{commonSelectorsMB.valoresProblematicaSalud}" 
	                			var="elem" itemValue="#{elem}" itemLabel="#{elem.descripcion}"/>
	            </p:selectOneMenu>
	            <p:message for="problSalud" display="icon"/>                
                
                <p:outputLabel for="detalleProblSalud" value="Detalle : " />
           		<p:inputTextarea id="detalleProblSalud" value="#{legajoMB.instance.detalleProblSalud}" disabled="#{legajoMB.instance.estadoProblSalud ne 'SI'}" readonly="#{!legajoMB.puedeEditar()}" rows="5" cols="100" />
				<p:message for="detalleProblSalud" display="icon"/>

				<p:outputLabel value="Documentación de respaldo :"  />
				<p:fileUpload fileUploadListener="#{legajoMB.handleFileProblematicaSalud}" mode="advanced" dragDropSupport="false"
           			fileLimit="1"  
           			update="pslbl" 
           			label="Seleccionar" uploadLabel="Subir" cancelLabel="Cancelar"/>
				<h:panelGroup/>
				<h:panelGroup/>
				<h:panelGrid columns="2">
					<p:commandButton value="Descargar..." ajax="false" 
								onclick="PrimeFaces.monitorDownload(start, stop);" 
								icon="ui-icon-arrowthick-1-s" immediate="true"
								disabled="#{empty legajoMB.instance.fileProblematicaSalud}">
	        				<p:fileDownload  value="#{fileUploaderMB.downloadFile(legajoMB.instance.fileProblematicaSalud,'PS')}" label="Seleccione..."/>
	    			</p:commandButton>
					<p:outputLabel  value="#{legajoMB.instance.fileProblematicaSalud}" id="pslbl" />
				</h:panelGrid>
				<h:panelGroup/>
		</p:panelGrid>
</ui:composition>